Bug 968253 - Review Request: profile-sync-daemon - Offload browser profiles to RAM for speed a wear reduction
Review Request: profile-sync-daemon - Offload browser profiles to RAM for sp...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
: 912878 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 06:14 EDT by Christopher Meng
Modified: 2013-06-16 01:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: profile-sync-daemon-5.35-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-14 23:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dougsland: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-05-29 06:14:26 EDT
Spec URL: http://cicku.me/profile-sync-daemon.spec
SRPM URL: http://cicku.me/profile-sync-daemon-5.35-1.fc20.src.rpm
Description: Symlinks and syncs browser profiles to RAM via tmpfs which will reduce HDD/SDD calls and speed-up browsers.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-05-29 06:15:53 EDT
*** Bug 912878 has been marked as a duplicate of this bug. ***
Comment 2 Douglas Schilling Landgraf 2013-06-01 18:28:05 EDT
Reviwed manually + fedora-review tool 0.4.1.

[OK] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review

Rpmlint
-------
Checking: profile-sync-daemon-5.35-1.fc18.noarch.rpm
profile-sync-daemon.noarch: W: spelling-error %description -l en_US Symlinks -> Slinks
profile-sync-daemon.noarch: W: spelling-error %description -l en_US tmpfs -> tamps
profile-sync-daemon.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint profile-sync-daemon
profile-sync-daemon.noarch: W: spelling-error %description -l en_US Symlinks -> Slinks
profile-sync-daemon.noarch: W: spelling-error %description -l en_US tmpfs -> tamps
profile-sync-daemon.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Above warnings can be ignored.

[OK] MUST: The package must be named according to the Package Naming Guidelines

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption

[OK] MUST: The package must meet the Packaging Guidelines .

[OK] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

[OK] MUST: The License field in the package spec file must match the actual license

[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

[OK] MUST: The spec file must be written in American English.

[OK] MUST: The spec file for the package MUST be legible.

[OK] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

  CHECKSUM(SHA256) this package     : c3c1f9d8a2a259d92885b1009dd836206a12ae039c71e3bd708583edd98ec248
  CHECKSUM(SHA256) upstream package : c3c1f9d8a2a259d92885b1009dd836206a12ae039c71e3bd708583edd98ec248


[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture

[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

[OK] MUST: Packages must NOT bundle copies of system libraries

[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

[OK] MUST: Permissions on files must be set properly. 

[OK] MUST: Each package must consistently use macros

[OK] MUST: The package must contain code, or permissable content. 

[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

[OK] MUST: All filenames in rpm packages must be valid UTF-8. 

[OK] SHOULD: Packager, Vendor, PreReq, Copyright tags should not be in spec file

[OK] SHOULD: Sources can be downloaded from URI in Source: tag

[OK] SHOULD: Reviewer should test that the package builds in mock.

[OK] SHOULD: Buildroot is not present

[OK] SHOULD: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

[OK] SHOULD: Dist tag is present.

[OK] SHOULD: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.

[OK] SHOULD: Uses parallel make.

[OK] SHOULD: SourceX tarball generation or download is documented.

[OK] SHOULD: SourceX is a working URL.

[OK] SHOULD: Spec use %global instead of %define.
Comment 3 Douglas Schilling Landgraf 2013-06-01 18:28:24 EDT
Final Status: APPROVED
Comment 4 Christopher Meng 2013-06-02 14:02:06 EDT
New Package SCM Request
=======================
Package Name: profile-sync-daemon
Short Description: Offload browser profiles to RAM for speed a wear reduction
Owners: cicku
Branches: f18 f19
InitialCC:
Comment 5 graysky 2013-06-02 16:49:18 EDT
Thank you all for prompt action.  I'm very excited to have this accepted.  

An important note: we merged the many Makefile.xxx into a single one with v5.36 which I just pushed.  This requires a minor modification to profile-sync-daemon.spec which I propose in the linked patch:
https://gist.github.com/graysky2/5694913

Full diff if you are interested:
https://github.com/graysky2/profile-sync-daemon/compare/v5.35...v5.36

Regards.
Comment 6 Gwyn Ciesla 2013-06-03 06:27:06 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-04 12:38:28 EDT
profile-sync-daemon-5.35-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/profile-sync-daemon-5.35-1.fc19
Comment 8 Fedora Update System 2013-06-04 12:48:34 EDT
profile-sync-daemon-5.35-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/profile-sync-daemon-5.35-1.fc18
Comment 9 Fedora Update System 2013-06-04 22:34:58 EDT
profile-sync-daemon-5.35-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-06-14 23:08:30 EDT
profile-sync-daemon-5.35-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-16 01:29:03 EDT
profile-sync-daemon-5.35-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.